<mat-card>
  <form [formGroup]="userForm" (submit) = "onSignUp()">
    <mat-form-field>
      <mat-label>username</mat-label>
      <input matInput formControlName="name" type="text">
    </mat-form-field>

    <mat-form-field>
      <mat-label>password</mat-label>
      <input matInput formControlName="password" type="password">
    </mat-form-field>

    <mat-form-field>
      <mat-label>email</mat-label>
      <input matInput formControlName="email" type="email">
    </mat-form-field>

    <mat-form-field>
      <mat-label>Phone Number</mat-label>
      <input matInput formControlName="phoneNumber" type="phoneNumber">
    </mat-form-field>

    <button mat-button color="primary" type="submit">Sign Up</button>
  </form>
  </mat-card>
